mscorlib 2.0.0.0 4.0.0.0 System.Object System.Runtime.InteropServices.ComVisible(true)

To get a list of local variables in a method, use the property. Use the method to obtain the for a object.

Local variable names are not persisted in metadata. In Microsoft intermediate language (MSIL), local variables are accessed by their position in the local variable signature.

Discovers the attributes of a local variable and provides access to local variable metadata.

- Constructor
  4.0.0.0

  This constructor is invoked by derived classes during the construction of objects.

  Initializes a new instance of the class.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  In unsafe code, an object must be pinned before it can be referred to by an unmanaged pointer. While the referenced object is pinned, it cannot be moved by garbage collection.

  Gets a value that indicates whether the object referred to by the local variable is pinned in memory.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Index numbers are assigned to local variables in the order in which they are declared.

  Gets the index of the local variable within the method body.

- Property
  2.0.0.0
  4.0.0.0
  System.Type To be added. To be added.

  Gets the type of the local variable.

- Method
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Returns a user-readable string that describes the local variable.

  A string that displays information about the local variable, including the type name, index, and pinned status.